// _system/preload.js

// l'intégralité de l'API de Node.js sera disponible dans le processus de préchargement (preload)
// il aura la même sandbox (bac-à-sable) qu'une simple extension pour Chrome/Chromium
window.addEventListener('DOMContentLoaded', () => {
    const replaceText = (selector, text) => {
        const element = document.getElementById(selector);
        if (element) {
            element.innerText = text;
        }
    }
    for (const dependency of ['chrome', 'node', 'electron']) {
        replaceText(`${dependency}-version`, process.versions[dependency]);
    }
})
